Name: wmdrawer
Version: 0.10.5
Release: alt5

Summary: WindowMaker dockapp which provides a drawer to launch applications.
Summary(ru_RU.KOI8-R): Dockapp  WindowMaker   .

License: GPL
Group: Graphical desktop/Window Maker

Url: http://people.easter-eggs.org/~valos/wmdrawer/

Source0: %name-%version.tar.gz
Source1: %name.menu

Patch0: %name-%version-configuration.patch
Patch1: wmdrawer-0.10.5-alt-optflags.patch
Patch2: wmdrawer-0.10.5-alt-new-ld.patch

# Automatically added by buildreq on Fri Jan 20 2006
BuildRequires: gdk-pixbuf-devel glib-devel gtk+-devel libX11-devel libXt-devel xorg-x11-proto-devel

Packager: Igor Zubkov <icesik@altlinux.ru>

%description
       wmDrawer is a dock application (dockapp) which provides a drawer       
       (retractable button bar) to launch applications.                       
                                                                              
   * The drawer is retractable and animated.                                  
   * Several columns of buttons can be defined in the drawer.                 
   * The configuration file is automaticaly reloaded if it changes.           
   * Multiple instances of the program can run at the same time.              
   * The buttons can be highlighted under the mouse cursor.                   
   * A tooltip can be defined for each button.                                
   * The drawer can be transparent (need SHAPE extension).                    
   * Ability to launch several apps at once from the drawer. By               
     holding down the key Shift or by using mouse buttons middle or           
     right instead of left, you can keep the drawer opened.                   

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%make_build OPT_FLAGS="%optflags"

%install
install -D -pm 755 wmdrawer %buildroot%_bindir/%name
install -D -pm 644 doc/wmdrawer.1x.gz %buildroot%_man1dir/wmdrawer.1x.gz
install -D -pm 644 %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc wmdrawerrc.example AUTHORS ChangeLog COPYING INSTALL README TODO
%_bindir/*
%_menudir/*
%_man1dir/*

%changelog
* Mon Mar 27 2006 Igor Zubkov <icesik@altlinux.ru> 0.10.5-alt5
- fix build with new ld / -Wl,--as-needed

* Fri Jan 20 2006 Igor Zubkov <icesik@altlinux.ru> 0.10.5-alt4
- add url (#8793)
- clean up build and spec file
- update buildrequires

* Fri Nov 12 2004 Denis Klykvin <nikon@altlinux.ru> 0.10.5-alt3
- Added patch for creating ~/.wmdrawerrc configuration file

* Thu Jul 01 2004 Denis Klykvin <nikon@altlinux.ru> 0.10.5-alt2
- Build new version
- Rebuild with glibc-2.3

* Tue Jun 03 2003 Denis Klykvin <nikon@altlinux.ru> 0.10.2-alt1
- Initial build

